# Generated by Django 3.1.3 on 2020-11-18 15:42

from django.db import migrations, models


def get_name_from_email(apps, schema_editor):
    User = apps.get_model('users', 'User')
    for user in User.objects.all():
        try:
            user.display_name = user.email.split('@')[0].replace('.', ' ').title()
        except Exception:
            user.display_name = user.email
        user.save()


class Migration(migrations.Migration):

    dependencies = [
        ('users', '0006_update_group_and_membership'),
    ]

    operations = [
        migrations.AddField(
            model_name='user',
            name='display_name',
            field=models.CharField(default='default name', max_length=120),
            preserve_default=False,
        ),
        migrations.RunPython(
            get_name_from_email,
            reverse_code=migrations.RunPython.noop,
            elidable=True
        )
    ]
